---
title: "Migrating to 2027-05-01"
description: "Example: what the portal looks like after the first breaking change. The successor 2027-05-01 is released, 2026-11-01 keeps running for 12 months and is switched off on 1 May 2028."
lang: en
url: https://developers.bodo-app.com/en/guides/migrate-2027-05-01/
apiVersion: 2026-11-01
---

# Migrating to 2027-05-01

Example: what the portal looks like after the first breaking change. The successor 2027-05-01 is released, 2026-11-01 keeps running for 12 months and is switched off on 1 May 2028.

Example

> **Deprecated** **API version 2026-11-01 ends on 1 May 2028.** Until then it works unchanged. After that the API answers with `410 VERSION_SUNSET`.

[Raise the pin in Bodo](https://bodo-app.com/settings/api-keys)

## Timeline

**Life cycle of the API versions**

- `2026-11-01`: released 1 Nov 2026 · successor released, deprecated 1 May 2027 · Brownouts, last 6 weeks: 2028-03-21 08:00, 2028-04-04 08:00, 2028-04-18 08:00 UTC · Sunset · 410 1 May 2028
- `2027-05-01`: released 1 May 2027 · running, no successor; Support ends only 12 months after a successor is released

## Brownouts

Planned outages of the old version, so forgotten integrations show up before the sunset.

| Start | Duration | Response |
| --- | --- | --- |
| 2028-03-21 08:00 UTC | 12 h | 410 VERSION_SUNSET |
| 2028-04-04 08:00 UTC | 24 h | 410 VERSION_SUNSET |
| 2028-04-18 08:00 UTC | 48 h | 410 VERSION_SUNSET |

## Headers on every response with 2026-11-01

`Deprecation` per RFC 9745, `Sunset` per RFC 8594, `Link` with `rel="deprecation"` to the changelog entry of the successor. The SDKs log a warning as soon as a response carries the Deprecation header.

```http
Bodo-Version: 2026-11-01
Deprecation: @1809129600
Sunset: Mon, 01 May 2028 00:00:00 GMT
Link: <https://developers.bodo-app.com/changelog/2027-05-01>; rel="deprecation"
```

## What breaks

Generated from the registry (`VersionChange`), checked with `oasdiff breaking`. In the web app the upgrade dialog shows the same list, filtered to the operations your key has used.

| Resource | Change | What you do |
| --- | --- | --- |
| contacts | `phone` becomes the list `phones[]` (example) | Read the first number from `phones[0]` |
| tasks | `dueDate` carries a time zone, RFC 3339 (example) | Parse the date with its offset instead of as a plain date |
| companies | `industry` becomes required on create (example) | Send the industry when creating |

To test: set `Bodo-Version: 2027-05-01` per request, then raise the pin.

[Changelog](/en/changelog/)
